<?php
	$result = $db->query( "SELECT * FROM `{$dbprefix}reports` WHERE `resolved`='0' ORDER BY `id` ASC" );
	$LikesReported = array();
	if ( $result->num_rows > 0 ) {
		while( $row = $result->fetch_object() ) {
			$LikesReported[ $row->like_id ] = true;
		}
		$result->free_result();
	}
	
	/* PAGINATION BLOCK START */
	$MaxPerPage = 100;
	$result = $db->query( "SELECT COUNT(`id`) AS `count` FROM `{$dbprefix}likes`" );
	$row = $result->fetch_object();
	$result->free_result();
	
	$TotalPages = $row->count / $MaxPerPage;
	$CurPage = ( isset( $_GET[ 'page' ] ) ) ? (int) _GET( 'page' ) : 1;
	if ( $CurPage > $TotalPages || $CurPage < 1 ) {
		$CurPage = 1;
	}
	
	$LimitStart = $CurPage * $MaxPerPage;
	$Limit = ( $CurPage == 1 ) ? " LIMIT {$MaxPerPage} " : " LIMIT {$LimitStart}, {$MaxPerPage} ";
	/* PAGINATION BLOCN END */
	
	/* SORTING BLOCK START */
	$order = 'id';
	$sort = 'ASC';
	$valid_orders = array( 'id', 'liked', 'shared' );
	$valid_sorts = array( 'asc', 'desc' );
	if ( isset( $_GET[ 'order' ] ) ) {
		$neworder = explode( '_', strtolower( _GET( 'order' ) ) );
		if ( in_array( $neworder[ 0 ], $valid_orders ) ) {
			$order = $neworder[ 0 ];
			if ( in_array( $neworder[ 1 ], $valid_sorts ) ) {
				$sort = strtoupper( $neworder[ 1 ] );
			}
		}
	}
	/* SORTING BLOCK END */
	
	$result = $db->query( "SELECT * FROM `{$dbprefix}likes` ORDER BY `$order` $sort $Limit" );
	$ResultsNum = $result->num_rows;
	$Likes = array();
	if ( $ResultsNum > 0 ) {		
		while ( $row = $result->fetch_object() ) {
			$Likes[] = array(
				'ID'	=> $row->id,
				'TYPE'	=> $row->type,
				'TITLE'	=> $row->title,
				'TEXT'	=> get_Like_Listing_Adm( $row->type, $row->text ),
				//'TEXT_'	=> like_text_truncate( htmlspecialchars( $row->text ) ),
				'LIKED'	=> $row->liked,
				'SHARED'=> $row->shared,
				'PINNED'=> $row->pinned,
				'REPOR'	=> ( $LikesReported[ $row->id ] ) ? true : false,
			);
		}
		$result->free_result();
	}
	
	$tpl->assign( array(
		'ORDER_BY'		=> $order,
		'ORDER_SORT'	=> $sort,
		
		'PAGE_CUR'		=> $CurPage,
		'PAGE_NUM'		=> $TotalPages,
	
		'RESULTS_NUM'	=> $ResultsNum,
		'LIKES'			=> $Likes,
	));
	$tpl->display( 'likes.html' );
	
	function get_Like_Listing_Adm( $type, $text ) {
		if ( $type == 2 ) {
			return 'http://www.youtube.com/watch?v=' . $text;
		}
		if ( $type == 1 ) {
			return $text;
		}
		return like_text_truncate( htmlspecialchars( $text ) );
	}
?>