<?php
	/*
	* ADMIN COMMON FILE
	* (c) 2010-2011 PART3
	*/
	
	// Check for register_globals.
	if ( ini_get( 'register_globals' ) )
	{
		die( 'You have register_globals turned on. I refuse to run.' );
	}

	// Includes and config loading.
	require_once( APP_ROOT . 'includes/functions.php' );
	load_conf();
	require_once( APP_ROOT . 'includes/database.php' );
	require_once( APP_ROOT . $conf['smarty_lib_path'] );

	// Initialization section. Set up DB, Templates, etc.
	// Database is created only if $no_database is either false or not defined.
	if ( !isset( $no_database )
		&& $no_database == false )
	{
		$db = new Database();
	}
	load_dbconf();
	
	$tpl = new Smarty();
	$tpl->template_dir = ADM_ROOT . $conf[ 'smarty_template_dir' ];
	$tpl->compile_dir = ADM_ROOT . $conf[ 'smarty_compile_dir' ];
	$tpl->cache_dir = APP_ROOT . $conf[ 'smarty_cache_dir' ];
	$tpl->config_dir = APP_ROOT . $conf[ 'smarty_config_dir' ];
	
	// Facebook
	require_once( APP_ROOT . 'includes/Facebook/facebook.php' );
	$facebook = new Facebook( array(
	  'appId'  => $econf[ 'fb_appid' ],
	  'secret' => $econf[ 'fb_secret' ],
	  'cookie' => true,
	));
	$tpl->assign( array(
		'FB_APPID'	=> $econf[ 'fb_appid' ],
		'FB_ADMINS'	=> $econf[ 'fb_admins' ],
	));
	
	//ob_start( 'ob_gzhandler' );
?>