<?php
	define( 'APP_ROOT', './' );
	require( APP_ROOT . 'world.php' );
	require( APP_ROOT . 'includes/recaptchalib.php' );
	$recaptcha_publickey = $econf[ 'recaptcha_publickey' ];
	$vars = array();
	
	$Title= _POST( 'liketitle' );
	$Email = _POST( 'likeemail' );
	$Name = _POST( 'likename' );
	$Text = _POST( 'liketext' );
	$Type = (int) _POST( 'liketype' );
	$Ip = $_SERVER[ 'REMOTE_ADDR' ];
	$Time = time();	
	
	$TimePillow = $Time + 5 * 60;
	$result = $db->query( "SELECT * FROM `{$dbprefix}access` WHERE `ip` = '$Ip' LIMIT 1" );
	if ( $result->num_rows > 0 ) {
		$row = $result->fetch_object();
		
		$access_id = $row->id;
		$access_count = $row->count;
	}
	else {
		$arr = array(
			'ip'	=> $Ip,
			'time'	=> $Time,
			'count'	=> 0,
		);
		$insert = $db->build_array( 'INSERT', $arr );
		$db->query( "INSERT INTO `{$dbprefix}access` $insert" );
		
		$access_id = $db->get_last_insert_id( "{$dbprefix}access" );
		$access_count = 0;
	}
	$result->free_result();

	
	if ( $access_count > 5 && reCAPTCHA_Answer() == true ) {
		$db->query( "UPDATE `{$dbprefix}access` SET `count` = '0' WHERE `id` = '$access_id'" );
		$access_count = 0;
	}	
	if ( $access_count <= 5 ) {
		if ( $Type == 2 ) {
			$PregResult = preg_match( '/[\\?\\&]v=([^\\?\\&]+)/', $Text, $matches );
			if ( $PregResult == 1 ) {
				$EndTitle = get_yt_title( $matches[ 1 ] );
				$EndText  = $matches[ 1 ];
				$EndType  = 2;
			} else {
				$Type = 0;
			}
		}
		elseif ( $Type == 1 ) {
			$EndTitle = ( !empty( $Title ) ) ? htmlspecialchars( $Title ) : '';
			$EndText  = htmlspecialchars( $Text );
			$EndType  = 1;
		}
		else {
			$EndTitle = '';
			$EndText  = nl2br( htmlspecialchars( str_replace( array( '"', "'" ), '', $Text ) ) );
			$EndType  = 0;
		}
		$EndName = htmlspecialchars( str_replace( array( '"', "'" ), '', $Name ) );
		
		$arr = array(
			'ip'	=> $Ip,
			'name'	=> $EndName,
			'time'	=> $Time,
			'type'	=> $EndType,
			'title' => $EndTitle,
			'text'	=> $EndText,
		);
		$insert = $db->build_array( 'INSERT', $arr );
		$db->query( "INSERT INTO `{$dbprefix}likes` $insert" );
		$db->query( "UPDATE `{$dbprefix}access` SET `count` = `count` + '1' WHERE `id` = '$access_id'" );
		
		$LikeType = $EndType;
		$LikeText = $EndText;
		$LikeId = $db->get_last_insert_id( "{$dbprefix}likes" );
		$LikeUrl = get_like_url( $LikeId );

		$vars = array_merge( $vars, array(
			'SUCCESS'	=> 1,
			'LIKE_ID'	=> $LikeId,
			'LIKE_URL'	=> $LikeUrl,
			'LIKE_URL_ENC'	=> urlencode( $LikeUrl ),
			'_SHOW_SHARE'	=> $econf[ 'show_like_share' ],
		));
		
		/* email mod */
		if ( !empty( $Email ) ) {
			$result = $db->query( "SELECT * FROM `{$dbprefix}emails` WHERE `email` = '%s'", $Email );
			if ( $result->num_rows == 0 ) {
				if ( empty( $Name ) ) {
					$Name = '';
				}
				$arr = array(
					'ip'	=> $Ip,
					'time'	=> $Time,
					'name'	=> $Name,
					'email'	=> $Email,
				);
				$insert = $db->build_array( 'INSERT', $arr );
				$db->query( "INSERT INTO `{$dbprefix}emails` $insert" );
			}
			$result->free_result();
		}
		/* /email mod */
	} else {
		$vars = array_merge( $vars, array(
			'SUCCESS'	=> 2,
			'LIKETITLE'	=> str_replace( array( '"', "'" ), '', $Title ),
			'LIKEEMAIL'	=> str_replace( array( '"', "'" ), '', $Email ),
			'LIKENAME'	=> str_replace( array( '"', "'" ), '', $Name ),
			'LIKETEXT'	=> str_replace( array( '"', "'" ), '', $Text ),
			'LIKETYPE'	=> $Type,
			'PUBLICKEY'	=> $recaptcha_publickey,
		));
	}

	$tpl->assign( $vars );
	$tpl->display( 'create_success.html' );
	
	function reCAPTCHA_Answer() {
		global $econf;
		$recaptcha_privatekey = $econf[ 'recaptcha_privatekey' ];
		$resp = recaptcha_check_answer( $recaptcha_privatekey, $_SERVER["REMOTE_ADDR"], $_POST["recaptcha_challenge_field"], $_POST["recaptcha_response_field"] );
		return $resp->is_valid;
	}
?>