<?php
	define( 'APP_ROOT', './' );
	require( APP_ROOT . 'world.php' );
	require( APP_ROOT . 'includes/recaptchalib.php' );
	$recaptcha_publickey = $econf[ 'recaptcha_publickey' ];
	$vars = array();
	
	if ( !$econf[ 'emails_enabled' ] ) {
		die( 'What are you trying to do there?' );
	}
	
	$sName = _POST( 's_name' );
	$sEmail = _POST( 's_email' );
	$Ip = $_SERVER[ 'REMOTE_ADDR' ];
	$Time = time();	
	
	$TimePillow = $Time + 5 * 60;
	$result = $db->query( "SELECT * FROM `{$dbprefix}access` WHERE `ip` = '$Ip' LIMIT 1" );
	if ( $result->num_rows > 0 ) {
		$row = $result->fetch_object();
		
		$access_id = $row->id;
		$access_count = $row->count;
	}
	else {
		$arr = array(
			'ip'	=> $Ip,
			'time'	=> $Time,
			'count'	=> 0,
		);
		$insert = $db->build_array( 'INSERT', $arr );
		$db->query( "INSERT INTO `{$dbprefix}access` $insert" );
		
		$access_id = $db->get_last_insert_id( "{$dbprefix}access" );
		$access_count = 0;
	}
	$result->free_result();

	
	if ( $access_count > 5 && reCAPTCHA_Answer() == true ) {
		$db->query( "UPDATE `{$dbprefix}access` SET `count` = '0' WHERE `id` = '$access_id'" );
		$access_count = 0;
	}	
	if ( $access_count <= 5 ) {
		$arr = array(
			'ip'	=> $Ip,
			'time'	=> $Time,
			'name'	=> $sName,
			'email'	=> $sEmail,
		);
		$insert = $db->build_array( 'INSERT', $arr );
		$db->query( "INSERT INTO `{$dbprefix}emails` $insert" );
		$db->query( "UPDATE `{$dbprefix}access` SET `count` = `count` + '1' WHERE `id` = '$access_id'" );

		$vars = array_merge( $vars, array(
			'SUCCESS'	=> 1,
		));
	} else {
		$vars = array_merge( $vars, array(
			'SUCCESS'	=> 2,
			'S_NAME'	=> $sName,
			'S_EMAIL'	=> $sEmail,
			'PUBLICKEY'	=> $recaptcha_publickey,
		));
	}

	$tpl->assign( $vars );
	$tpl->display( 'email_success.html' );
	
	function reCAPTCHA_Answer() {
		global $econf;
		$recaptcha_privatekey = $econf[ 'recaptcha_privatekey' ];
		$resp = recaptcha_check_answer( $recaptcha_privatekey, $_SERVER["REMOTE_ADDR"], $_POST["recaptcha_challenge_field"], $_POST["recaptcha_response_field"] );
		return $resp->is_valid;
	}
?>