<!doctype html>
<html>
<head>
	<title>LikeList 1.2 Installer</title>
</head>
<body>
<div style="margin:0 auto;width:600px;font-family:Georgia;">
<?php
	$Writables = true;
	$WritableError = '';
	$files_check = array( 'config.php', 'data', 'templates_c', 'admin/templates_c' );
	foreach( $files_check as $file_check ) {
		if ( !is_writable( $file_check ) ) {
			$WritableError .= '<div style="color:red;">Error: ' . $file_check . ' is not writable.</div>';
			$Writables = false;
		}
	}
	$Error = false;
	if ( isset( $_POST[ 'step' ] ) && $_POST[ 'step' ] == 1 ) {
		$link = @mysql_connect( $_POST[ 'dbhost' ], $_POST[ 'dbuser' ], $_POST[ 'dbpass' ] );
		$GoStep2 = true;
		if ( !$Writables ) {
			$GoStep2 = false;
		}
		if ( !$link ) {
			$Error = true;
			$GoStep2 = false;
		}
		$db = @mysql_select_db( $_POST[ 'dbname' ] );
		if ( !$db ) {
			$Error = true;
			$GoStep2 = false;
		}
		$TablesExist = false;
		if ( $db ) {
			$sql = "SHOW TABLES LIKE '{$_POST['dbprefix']}etc'";
			$result = mysql_query( $sql, $link );
			if ( mysql_num_rows( $result ) ) {
				$TablesExist = true;
				$Error = true;
				$GoStep2 = false;
			}
		}
	}
	if ( !isset( $_POST[ 'step' ] ) || $Error || !$Writables ) {
?>
	<big><strong>LikeList 1.2 Installer: Step 1.</strong></big><hr /><br />
	Please enter your database information to continue.<br />
	<br />
	<?php if ( $Error ) { ?><div style="color:red;font-weight:bold;">There was an error with the database connection. Try again.</div><?php } ?>
	<?php if ( $TablesExist ) { ?><div style="color:red;">The tables already exist. Maybe you've already installed LikeList?</div><?php } ?>
	<?php echo $WritableError; ?>
	<form action="" method="POST" onsubmit="return check()">
		<input type="hidden" name="step" value="1" />
		<div style="display:inline-block;width:120px;">Database host: </div><input style="width:200px;" type="text" id="dbhost" name="dbhost" value="<?php if ( isset( $_POST['dbhost'] ) ) { echo $_POST['dbhost']; } else { ?>localhost<?php } ?>" /><br />
		<div style="display:inline-block;width:120px;">Database name: </div><input style="width:200px;" type="text" id="dbname" name="dbname" value="<?php if ( isset( $_POST['dbname'] ) ) { echo $_POST['dbname']; } ?>" /><br />
		<div style="display:inline-block;width:120px;">Database user: </div><input style="width:200px;" type="text" id="dbuser" name="dbuser" value="<?php if ( isset( $_POST['dbuser'] ) ) { echo $_POST['dbuser']; } ?>" /><br />
		<div style="display:inline-block;width:120px;">Database pass: </div><input style="width:200px;" type="password" id="dbpass" name="dbpass" value="<?php if ( isset( $_POST['dbpass'] ) ) { echo $_POST['dbpass']; } ?>" /><br />
		<div style="display:inline-block;width:120px;">Database prefix: </div><input style="width:200px;" type="text" id="dbprefix" name="dbprefix" value="<?php if ( isset( $_POST['dbprefix'] ) ) { echo $_POST['dbprefix']; } else { ?>likelist_<?php } ?>" /><br />
		<input type="submit" name="submit" value="Continue" style="width:100px;" />
	</form>
	<script type="text/javascript">
	function check() {
		var c0 = document.getElementById( 'dbhost' ).value;
		var c1 = document.getElementById( 'dbname' ).value;
		var c2 = document.getElementById( 'dbuser' ).value;
		var c3 = document.getElementById( 'dbpass' ).value;
		if ( c0.length == 0 || c1.length == 0 || c2.length == 0 || c3.length == 0 ) {
			alert( 'Fields Database host, Database name, Database user, Database pass are mandatory.' );
			return false;
		}
		return true;
	}
	</script>
<?php
	}
	if ( $GoStep2 ) {
		$Buffer = "<?php
	/*
	* LikeList Config file
	* (c) 2011 PART3
	*/
	
	return array(
		// Database
		'dbhost' => '{$_POST['dbhost']}',
		'dbname' => '{$_POST['dbname']}',
		'dbuser' => '{$_POST['dbuser']}',
		'dbpass' => '{$_POST['dbpass']}',
		'dbprefix' => '{$_POST['dbprefix']}',
		
		// Smarty stuff follow
		'smarty_lib_path' => 'includes/Smarty/libs/Smarty.class.php',
	);
?>";
		$fp = fopen( 'config.php', 'w' );
		fwrite( $fp, $Buffer );
		fclose( $fp );
?>
	<big><strong>LikeList 1.2 Installer: Step 2</strong></big><hr /><br />
	<br />
	<div style="color:green;font-weight:bold;">Connection with database successful, db config file written.</div>
	Enter basic information about your site.<br />These can be later configured at the admin panel.<br /><br /><br />
	<?php if ( $Error ) { ?><div style="color:red;font-weight:bold;">There was an error with the database connection. Try again.</div><?php } ?>
	<form action="" method="POST" onsubmit="return check()">
		<input type="hidden" name="step" value="2" />
		<input type="hidden" name="dbhost" value="<?php echo $_POST['dbhost']; ?>" />
		<input type="hidden" name="dbname" value="<?php echo $_POST['dbname']; ?>" />
		<input type="hidden" name="dbuser" value="<?php echo $_POST['dbuser']; ?>" />
		<input type="hidden" name="dbpass" value="<?php echo $_POST['dbpass']; ?>" />
		<input type="hidden" name="dbprefix" value="<?php echo $_POST['dbprefix']; ?>" />
		<div style="display:inline-block;width:180px;">Site name: </div><input style="width:240px;" type="text" id="site_name" name="site_name" value="" /><br />
		<div style="display:inline-block;width:180px;">Site description: </div><input style="width:240px;" type="text" id="site_desc" name="site_desc" value="" /><br /><br />
		<div style="display:inline-block;width:180px;">Facebook APP ID: </div><input style="width:240px;" type="text" id="fb_appid" name="fb_appid" value="" /><br />
		<div style="display:inline-block;width:180px;">Facebook APP Secret: </div><input style="width:240px;" type="text" id="fb_secret" name="fb_secret" value="" /><br />
		<div style="display:inline-block;width:180px;">Facebook Admin: </div><input style="width:240px;" type="text" id="fb_admins" name="fb_admins" value="" /><br />
		Note: You can create an application at: <a href="http://developers.facebook.com/setup/" target="_blank">http://developers.facebook.com/setup/</a><br /><br />
		<div style="display:inline-block;width:180px;">reCaptcha Public key: </div><input style="width:240px;" type="text" id="recaptcha_publickey" name="recaptcha_publickey" value="" /><br />
		<div style="display:inline-block;width:180px;">reCaptcha Private key: </div><input style="width:240px;" type="text" id="recaptcha_privatekey" name="recaptcha_privatekey" value="" /><br />
		Note: You can create a reCaptcha code here: <a href="https://www.google.com/recaptcha/admin/create" target="_blank">https://www.google.com/recaptcha/admin/create</a><br /><br />
		<input type="submit" name="submit" value="Continue" style="width:100px;" />
	</form>
	<br /><br />
	<div style="color:red;font-weight:bold;">Warning: Be careful when entering information!<br />
	Double-check everything before pressing continue!</div>
	<script type="text/javascript">
	function check() {
		var c0 = document.getElementById( 'site_name' ).value;
		var c1 = document.getElementById( 'site_desc' ).value;
		var c2 = document.getElementById( 'fb_appid' ).value;
		var c3 = document.getElementById( 'fb_secret' ).value;
		var c4 = document.getElementById( 'fb_admins' ).value;
		var c5 = document.getElementById( 'recaptcha_publickey' ).value;
		var c6 = document.getElementById( 'recaptcha_privatekey' ).value;
		if ( c0.length == 0 || c1.length == 0 || c2.length == 0 || c3.length == 0 || c4.length == 0 || c5.length == 0 || c6.length == 0 ) {
			alert( 'All fields are mandatory.' );
			return false;
		}
		return true;
	}
	</script>
<?php
	}
	if ( isset( $_POST[ 'step' ] ) && $_POST[ 'step' ] == 2 ) {
		$link = @mysql_connect( $_POST[ 'dbhost' ], $_POST[ 'dbuser' ], $_POST[ 'dbpass' ] );
		if ( !$link ) {
			die( 'MySQL Error:' . mysql_error() );
		}
		
		$addr = $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
		$pos = strrpos( $addr, '/' );
		$site_url = trim( 'http://' . substr( $addr, 0, $pos ) );
		$pos = strrpos( $_SERVER['SCRIPT_NAME'], '/' );
		$site_subdir = trim( substr( $_SERVER['SCRIPT_NAME'], 0, $pos ) );
		$site_image = $site_url . '/images/LikeList_Promo.png';
		$site_name = mysql_real_escape_string( $_POST[ 'site_name' ], $link );
		$site_desc = mysql_real_escape_string( $_POST[ 'site_desc' ], $link );
		$fb_appid = mysql_real_escape_string( $_POST[ 'fb_appid' ], $link );
		$fb_secret = mysql_real_escape_string( $_POST[ 'fb_secret' ], $link );
		$fb_admins = mysql_real_escape_string( $_POST[ 'fb_admins' ], $link );
		$recaptcha_publickey = mysql_real_escape_string( $_POST[ 'recaptcha_publickey' ], $link );
		$recaptcha_privatekey = mysql_real_escape_string( $_POST[ 'recaptcha_privatekey' ], $link );
	
		$db = mysql_select_db( $_POST[ 'dbname' ] );
		$sql_install_structure = array(
"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}access` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(255) collate utf8_bin NOT NULL,
  `time` int(11) NOT NULL,
  `count` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `count` (`count`),
  KEY `ip` (`ip`),
  KEY `time` (`time`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1",

"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}ads` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(255) collate utf8_bin NOT NULL,
  `time` int(11) NOT NULL,
  `area` varchar(255) collate utf8_bin NOT NULL,
  `type` int(11) NOT NULL default '0',
  `img` varchar(1020) collate utf8_bin NOT NULL,
  `width` int(11) NOT NULL default '0',
  `height` int(11) NOT NULL default '0',
  `link` varchar(1020) collate utf8_bin NOT NULL default '',
  `html` text collate utf8_bin NOT NULL,
  `hits` int(11) NOT NULL default '0',
  `active` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `time` (`time`),
  KEY `area` (`area`),
  KEY `hits` (`hits`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=5",

"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}emails` (
  `id` int(11) NOT NULL auto_increment,
  `time` int(11) NOT NULL,
  `ip` varchar(255) collate utf8_bin NOT NULL,
  `name` varchar(255) collate utf8_bin NOT NULL,
  `email` varchar(255) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `time` (`time`),
  KEY `ip` (`ip`),
  KEY `name` (`name`),
  KEY `email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1",

"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}likes` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(255) collate utf8_bin NOT NULL,
  `name` varchar(255) collate utf8_bin NOT NULL default '',
  `time` int(11) NOT NULL,
  `comments` int(11) NOT NULL default '1',
  `type` int(11) NOT NULL default '0',
  `title` varchar(255) collate utf8_bin NOT NULL default '',
  `text` text collate utf8_bin NOT NULL,
  `liked` int(11) NOT NULL default '0',
  `shared` int(11) NOT NULL default '0',
  `pinned` int(11) NOT NULL default '0',
  `last_liked_at` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`),
  KEY `time` (`time`),
  KEY `liked` (`liked`),
  KEY `shared` (`shared`),
  KEY `pinned` (`pinned`),
  KEY `name` (`name`),
  KEY `last_liked_at` (`last_liked_at`),
  FULLTEXT KEY `text` (`text`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=7",

"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}pages` (
  `id` int(11) NOT NULL auto_increment,
  `time` int(11) NOT NULL,
  `ip` varchar(255) collate utf8_bin NOT NULL,
  `pretty_name` varchar(255) collate utf8_bin NOT NULL default '',
  `title` varchar(255) collate utf8_bin NOT NULL,
  `content` text collate utf8_bin NOT NULL,
  `order` int(11) NOT NULL,
  `hidden` int(11) NOT NULL default '0',
  `disabled` int(11) NOT NULL default '0',
  `like_button` int(11) NOT NULL default '1',
  `comments` int(11) NOT NULL default '0',
  `liked` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `time` (`time`),
  KEY `ip` (`ip`),
  KEY `hidden` (`hidden`),
  KEY `disabled` (`disabled`),
  KEY `like_button` (`like_button`),
  KEY `comments` (`comments`),
  KEY `liked` (`liked`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=3",

"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}reports` (
  `id` int(11) NOT NULL auto_increment,
  `like_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `ip` varchar(255) collate utf8_bin NOT NULL,
  `reason` text collate utf8_bin NOT NULL,
  `resolved` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `like_id` (`like_id`),
  KEY `time` (`time`),
  KEY `ip` (`ip`),
  KEY `resolved` (`resolved`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1",

"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}etc` (
  `name` varchar(255) collate utf8_bin NOT NULL,
  `value` text collate utf8_bin NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin",

"CREATE TABLE IF NOT EXISTS `{$_POST['dbprefix']}tracking` (
  `id` int(11) NOT NULL auto_increment,
  `like_id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `count` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `like_id` (`like_id`),
  KEY `time` (`time`),
  KEY `count` (`count`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1;"
);

		$sql_install_contents = array(
"INSERT INTO `{$_POST['dbprefix']}ads` (`id`, `ip`, `time`, `area`, `type`, `img`, `width`, `height`, `link`, `html`, `hits`, `active`) VALUES
(1, '', 0, 'sidebar1', 1, '{$site_url}/data/ad_sidebar_1.swf', 300, 240, '', '', 0, 0),
(2, '', 0, 'sidebar2', 0, '{$site_url}/data/ad_sidebar_2.png', 0, 0, '', '', 0, 0),
(3, '', 0, 'header', 0, '{$site_url}/data/ad_header.png', 0, 0, '', '', 0, 0),
(4, '', 0, 'page', 0, '{$site_url}/data/ad_page.png', 0, 0, '', '', 0, 0)",

"INSERT INTO `{$_POST['dbprefix']}likes` (`id`, `ip`, `time`, `comments`, `type`, `text`, `liked`) VALUES
(1, '10.10.10.10', 1293946517, 1, 0, 0x4669727374206c696b6521, 0),
(2, '10.10.10.10', 1293946530, 1, 0, 0x49207468696e6b20796f752073686f756c6420777269746520736f6d65206d6f7265206c696b6573203b2d29, 0),
(3, '10.10.10.10', 1293946548, 1, 0, 0x476f6f64206c75636b203a2d29, 0),
(4, '10.10.10.10', 1293946595, 1, 0, 0x5468616e6b7320666f722070757263686173696e67204c696b654c697374203a2d44, 0),
(5, '10.10.10.10', 1293946673, 1, 0, 0x5465737420546573742054657374, 0),
(6, '10.10.10.10', 1293946692, 1, 0, 0x596f752063616e2064656c65746520616c6c2074686573652074657374206c696b65732066726f6d207468652061646d696e2070616e656c2e, 0)",

"INSERT INTO `{$_POST['dbprefix']}pages` (`id`, `time`, `ip`, `pretty_name`, `title`, `content`, `order`, `hidden`, `disabled`, `like_button`, `comments`, `liked`) VALUES
(1, 1293947043, '10.10.10.10', 'contact', 'Contact', 0x3c703e3c7370616e207374796c653d226261636b67726f756e642d636f6c6f723a20236666666630303b20666f6e742d73697a653a206d656469756d3b223e436f6e7461637420757320706c616365686f6c64657220706167653c2f7370616e3e3c2f703e, 1, 0, 0, 1, 1, 0),
(2, 1293947076, '10.10.10.10', 'about', 'About', 0x3c703e3c7370616e207374796c653d22666f6e742d73697a653a206d656469756d3b206261636b67726f756e642d636f6c6f723a20233030666630303b223e41626f757420706c616365686f6c64657220706167653c2f7370616e3e3c2f703e, 2, 0, 0, 1, 0, 0)",

"INSERT INTO `{$_POST['dbprefix']}etc` (`name`, `value`) VALUES
('stats_enabled', 0x31),
('stats_code', 0x3c212d2d2053616d706c6520616420636f646520202020202020202020202020202020202d2d3e0d0a3c212d2d205265706c6163652074686973207769746820796f757220616420636f6465202d2d3e),
('admin_lastaccess', 0x31323933393435393233),
('admin_user', 0x61646d696e),
('admin_hash', 0x64303333653232616533343861656235363630666332313430616563333538353063346461393937),
('admin_cookie', 0x6c696b656c6973745f61646d34),
('fb_appid', '{$fb_appid}'),
('fb_secret', '{$fb_secret}'),
('fb_admins', '{$fb_admins}'),
('site_url', '{$site_url}'),
('site_subdir', '{$site_subdir}'),
('site_fbpage', ''),
('pretty_urls', '0'),
('activity_enabled', 0x31),
('shoutbox_enabled', 0x31),
('rss_enabled', 0x31),
('rss_limit', 0x3130),
('site_name', '{$site_name}'),
('site_name_fb', '{$site_name}'),
('recaptcha_publickey', '{$recaptcha_publickey}'),
('recaptcha_privatekey', '{$recaptcha_privatekey}'),
('site_desc', '{$site_desc}'),
('site_image', '{$site_image}'),
('tinymce_on', 0x31),
('prefer_iframe', 0x31),
('show_like_share', 0x31),
('max_random', 0x3130),
('max_popular', 0x3130),
('max_recent', 0x3130),
('max_trending', 0x3130),
('max_search_results', 0x3230),
('max_list_chars', 0x333030),
('emails_enabled', 0x31),
('emails_customtext', 0x456e74657220796f7572206e616d6520616e6420652d6d61696c20746f207369676e20757020746f206f7572206d61696c696e67206c6973742e),
('emails_customtitle', 0x5369676e20757020746f206f7572206d61696c696e67206c697374),
('installed', 0x31),
('blocks_order', 'recent,trending,popular,random')"
);

	foreach( $sql_install_structure as $sql ) {
		mysql_query( $sql, $link );
	}
	foreach( $sql_install_contents as $sql ) {
		mysql_query( $sql, $link );
	}
?>
	<big><strong>LikeList Installer: Finished.</strong></big><hr /><br />
	<div style="color:green;font-weight:bold;">Installation finished.<br /></div>
	<div>&nbsp;</div>
	<div style="font-size:24px;">PLEASE REMOVE THE install.php FILE NOW!!!<br />THIS IS REALLY IMPORTANT!</div>
	<div>&nbsp;</div>
	<div>You can now see your site <a href="<?php echo $site_url; ?>" target="_blank">here</a>, and connect to your admin panel <a href="<?php echo $site_url; ?>/admin/" target="_blank">here</a>.</div>
	<div>Default admin credentials are admin/admin.</div>
<?php
	}
?>
<br /><br />
<hr />
<div style="float:right;">Copyright &copy; 2011 <a href="http://part3.org" target="_blank">PART3</a>.</div>LikeList 1.2
</div>
</body>
</html>