<?php
	define( 'APP_ROOT', './' );
	require( APP_ROOT . 'world.php' );
	require( APP_ROOT . 'includes/recaptchalib.php' );
	$recaptcha_publickey = $econf[ 'recaptcha_publickey' ];
	$vars = array();
	
	$Reason = trim( _POST( 'reason' ) );
	$LikeId = (int) _POST( 'id' );
	$Ip = $_SERVER[ 'REMOTE_ADDR' ];
	$Time = time();	
	
	$result = $db->query( "SELECT * FROM `{$dbprefix}likes` WHERE `id`='$LikeId'" );
	if ( reCAPTCHA_Answer() == true && !empty( $Reason ) && $result->num_rows > 0 ) {
		$arr = array(
			'like_id' => $LikeId,
			'ip'	=> $Ip,
			'time'	=> $Time,
			'reason'=> $Reason,
		);
		$insert = $db->build_array( 'INSERT', $arr );
		$db->query( "INSERT INTO `{$dbprefix}reports` $insert" );

		$vars = array_merge( $vars, array(
			'SUCCESS'	=> 1,
		));
	}
	elseif ( reCAPTCHA_Answer() == false && !empty( $Reason ) && $result->num_rows > 0 ) {
		$vars = array_merge( $vars, array(
			'SUCCESS'	=> 2,
			'LIKE_ID'	=> $LikeId,
			'REASON'	=> $Reason,
			'PUBLICKEY'	=> $recaptcha_publickey,
		));
	}
	if ( empty( $Reason ) || $result->num_rows == 0 ) {
		$vars = array_merge( $vars, array(
			'SUCCESS'	=> 0,
		));
	}

	$tpl->assign( $vars );
	$tpl->display( 'report_success.html' );
	
	function reCAPTCHA_Answer() {
		global $econf;
		$recaptcha_privatekey = $econf[ 'recaptcha_privatekey' ];
		$resp = recaptcha_check_answer( $recaptcha_privatekey, $_SERVER["REMOTE_ADDR"], $_POST["recaptcha_challenge_field"], $_POST["recaptcha_response_field"] );
		return $resp->is_valid;
	}
?>