<?php
	define( 'APP_ROOT', './' );
	include_once( APP_ROOT . 'world.php' );
	
	if ( !$econf[ 'rss_enabled' ] ) {
		die();
	}
	$RssLimit = $econf[ 'rss_limit' ];
	
	require_once( APP_ROOT . 'includes/feedcreator.class.php' );
  
	$rss = new UniversalFeedCreator();
	$rss->useCached();
	$rss->encoding = 'UTF-8';
	$rss->title = $econf[ 'site_name' ];
	$rss->description = $econf[ 'site_desc' ];
	$rss->link = $econf[ 'site_url' ];
	$ext = ( _PRETTY_URLS ) ? '' : '.php';
	$rss->syndicationURL = $econf[ 'site_url' ] . '/rss' . $ext;
	
	$result = $db->query( "SELECT * FROM `{$dbprefix}likes` ORDER BY `id` DESC LIMIT $RssLimit" );
	if ( $result->num_rows > 0 ) {
		while ( $row = $result->fetch_object() ) {
			$item = new FeedItem();
			$item->title = get_Like_Title( $row->type, $row->text, $row->id, $row->title );
			$item->link = get_like_url( $row->id );
			//$item->description = get_Like_Listing( $row->type, $row->text, $row->title );
			$item->date = date( 'r', $row->time );
			
			$rss->addItem( $item );
		}
		$result->free_result();
	}
	
	echo $rss->createFeed( '2.0' );
?>