<?php
	if ( isset( $_POST[ 'submit' ] ) ) {
		$NewType  = $db->sanitize( (int) _POST( 'liketype' ) );
		$NewTitle = ( $NewType == 1 ) ? $db->sanitize( _POST( 'liketitle' ) ) : '';
		$NewText  = $db->sanitize( _POST( 'liketext' ) );
		$NewName = $db->sanitize( _POST( 'likename' ) );
		$Comms = ( (int) _POST( 'comments' ) == 1 ) ? 1 : 0;
		$Pinned = ( (int) _POST( 'pinned' ) == 1 ) ? 1 : 0;
		
		if ( $NewType == 2 ) {
			$PregResult = preg_match( '/[\\?\\&]v=([^\\?\\&]+)/', $NewText, $matches );
			if ( $PregResult == 1 ) {
				$NewTitle = get_yt_title( $matches[ 1 ] );
				$NewText = $matches[ 1 ];
			} else {
				$NewType = 0;
			}
		}
		
		if ( !empty( $NewText ) ) {
			$Ip = $_SERVER[ 'REMOTE_ADDR' ];
			$Time = time();	
			
			$arr = array(
				'ip'	=> $Ip,
				'name'	=> $NewName,
				'time'	=> $Time,
				'type'	=> $NewType,
				'title' => $NewTitle,
				'text'	=> $NewText,
				'comments' => $Comms,
				'pinned'=> $Pinned,
			);
			$insert = $db->build_array( 'INSERT', $arr );
			$db->query( "INSERT INTO `{$dbprefix}likes` $insert" );
			
			$LikeId = $db->get_last_insert_id( "{$dbprefix}likes" );
		
			redirect( "index.php?p=like&act=edit&id=$LikeId&justcreated=1" );
		}
	}
	
	$tpl->display( 'like_add.html' );
?>