<?php
	define( 'APP_ROOT', '../' );
	define( 'ADM_ROOT', './' );
	require( ADM_ROOT . 'world.php' );
	$vars = array();
	
	// Initialize GET, page etc
	$p = _GET( 'p' );
	$pages = array(
		'index',
		'login',
		'logout',
		'likes',
		'like',
		'pages',
		'page',
		'files',
		'file',
		'ads',
		'adv',
		'emails',
		'email',
		'stats',
		'fixlikes',
		'prunelikes',
		'trendingcleanup',
		'config',
	);	
	if ( !in_array( $p, $pages ) )
	{
		$p = 'index';
	}
	
	// Are we logged in?
	// If not, serve login page
	$logged_in = true;
	if ( !check_login() )
	{
		$logged_in = false;
		$p = 'login';
	}
	$tpl->assign( 'LOGGED_IN', $logged_in );
	if ( $logged_in ) {
		$tpl->assign( 'ADMIN_LAST_ACCESS', date( 'j/n/Y H:i', $econf[ 'admin_lastaccess' ] ) );
	}
	
	require( ADM_ROOT . 'includes/' . $p . '.php' );
?>