<?php
	define( 'APP_ROOT', './' );
	require( APP_ROOT . 'world.php' );
	$vars = array();
	$rows = array();
	
	$Id = (int) _GET( 'l' );
	
	$result = $db->query( "SELECT * FROM `{$dbprefix}likes` WHERE `id`=$Id" );
	if ( $result->num_rows > 0 )
	{
		$found = true;
		$row = $result->fetch_object();
		$vars = array(
			'LIKE_ID'	=> $row->id,
			'LIKE_NAME'	=> $row->name,
			'LIKE_COMMS'=> ( $row->comments ) ? true : false,
			'LIKE_TYPE'	=> $row->type,
			'LIKE_TEXT'	=> get_Like( $row->type, $row->text ),
			'LIKE_TEXT_TITLE'	=> strip_tags( get_Like_Title( $row->type, $row->text, $row->id, $row->title ) ),
			'LIKE_TEXT_TITLE_RAW'	=> $row->title,
			'LIKE_TEXT_TITLE_ENC'	=> urlencode( strip_tags( get_Like_Title( $row->type, $row->text, $row->id, $row->title ) ) ),
			'LIKE_THUMB'=> get_Like_ogimage( $row->type, $row->text ),
			'LIKE_URL'	=> get_like_url( $row->id ),
			'LIKE_URL_ENC'	=> urlencode( get_like_url( $row->id ) ),
		);
		$liked = (int)$row->liked;
		$shared = (int)$row->shared;
		
		$result->free_result();
	}
	
	$vars['LIKES_MORE'] = array();
	if ( strpos( $_SERVER[ 'USER_AGENT' ], 'facebookexternalhit' ) === false ) { // If it's the FB Bot, don't load all this.
		/* BLOCK START */
		$result = $db->query( "SELECT * FROM `{$dbprefix}likes` WHERE `pinned`='1' ORDER BY RAND() LIMIT 5" );
		if ( $result->num_rows > 0 )
		{
			while ( $row = $result->fetch_object() )
			{
				$vars['LIKES_MORE'][] = array(
					'id' => $row->id,
					'text' => get_Like_Listing( $row->type, $row->text, $row->title ),
					'url' => get_like_url( $row->id ),
					'url_enc' => urlencode( get_like_url( $row->id ) ),
				);
			}
			$result->free_result();
		}
		
		$result = $db->query( "SELECT * FROM `{$dbprefix}likes` WHERE `pinned`='0' ORDER BY `last_liked_at` DESC LIMIT 15" );
		if ( $result->num_rows > 0 )
		{
			while ( $row = $result->fetch_object() )
			{
				$vars['LIKES_MORE'][] = array(
					'id' => $row->id,
					'text' => get_Like_Listing( $row->type, $row->text, $row->title ),
					'url' => get_like_url( $row->id ),
					'url_enc' => urlencode( get_like_url( $row->id ) ),
				);
			}
			$result->free_result();
		}
		/* BLOCK END */
	}
	
	$vars = array_merge( $vars, array(
		'_LIKE_PAGE'	=> true,
		'_SHOW_SHARE'	=> $econf[ 'show_like_share' ],
		'FOUND'	=> ( $found ) ? 1 : 0,
	));
	$tpl->assign( $vars );
	$tpl->display( 'like.html' );
	
	@ob_end_flush();
	
	if ( $found ) {
		// Check the liked counter.
		$fb_query = 'SELECT like_count, share_count FROM link_stat WHERE url="' . get_like_url( $vars[ 'LIKE_ID' ] ) . '"';
		$fb_param = array(
			'method'    => 'fql.query',
			'query'     => $fb_query,
			'callback'  => ''
		);
		$fb_result = $facebook->api( $fb_param );
		if ( $fb_result[ 0 ][ 'like_count' ] != $liked || $fb_result[ 0 ][ 'share_count' ] != $shared ) {
                        $liked_old = $liked;
                        $liked = $fb_result[ 0 ][ 'like_count' ];
                        $shared = $fb_result[ 0 ][ 'share_count' ];
                        $last_liked_at = time();
                        $db->query( "UPDATE `{$dbprefix}likes` SET `liked`='$liked', `shared`='$shared', `last_liked_at`='$last_liked_at' WHERE `id`=$Id" );

                        // Let's do some tracking!
                        if ( $Change = $liked - $liked_old > 0 ) {
                                $db->query( "INSERT INTO `{$dbprefix}tracking` (`like_id`, `time`, `count`) VALUES ('%s', '%s', '%s')", $Id, time(), $Change );
                        }
		}
		unset( $fb_result );
	}
?>
